Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.datastore
Class SchemaAnnotator

    java.lang.Object
      org.deegree.tools.datastore.SchemaAnnotator

    public class SchemaAnnotator

extends Object

Annotates a plain GML application schema with (default) mapping information.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`SchemaAnnotator()`

Method Summary
`static String` | `getColumnName(String columnName)`
`static String` | `getTableName(String featureTypeName)`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaAnnotator

    public SchemaAnnotator()

Method Detail

### getColumnName

    public static String getColumnName(String columnName)

  Parameters:
    `columnName` -
  Returns:
    the converted column name

### getTableName

    public static String getTableName(String featureTypeName)

  Parameters:
    `featureTypeName` -
  Returns:
    the table name

### main

    public static void main(String[] args)
                     throws IOException,
                            SAXException,
                            TransformerException

  Parameters:
    `args` -
  Throws:
    `SAXException`
    `IOException`
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org